This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 824781 - Strange and changing sample interval in some collections
Strange and changing sample interval in some collections
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-plumage (Show other bugs)
Development
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: grid-maint-list
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 05:07 EDT by Daniel Horák
Modified: 2016-05-26 16:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 16:23:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script for checking intervals between samples in each collection. (904 bytes, text/x-python)
2012-05-24 05:07 EDT, Daniel Horák
no flags Details
Example output from plumage_check_samples_time.py (for comment 0) (25.37 KB, text/plain)
2012-05-24 05:09 EDT, Daniel Horák
no flags Details

  None (edit)
Description Daniel Horák 2012-05-24 05:07:33 EDT
Created attachment 586586 [details]
Script for checking intervals between samples in each collection.

Description of problem:
  Samples for some collections in Plumage are captured in strange changing intervals.


Version-Release number of selected component (if applicable):
  # rpm -qa | grep condor
   condor-plumage-7.6.8-0.1.el6.i686
   condor-7.6.8-0.1.el6.i686
   condor-classads-7.6.8-0.1.el6.i686


How reproducible:
  100%


Steps to Reproduce:
1. Prepare fresh installation of condor with Plumage.
  # yum install @mrg-grid condor-plumage mongodb-server
  # service mongod start
  # service condor start

2. Submit few simple job.
  # cat /tmp/vanilla.job 
    universe = vanilla
    cmd = /bin/sleep
    args = 3600
    should_transfer_files = no
    requirements = (FileSystemDomain =!= UNDEFINED && Arch =!= UNDEFINED)
    queue 1

  # runuser -s /bin/bash -l test1 -c "condor_submit /tmp/vanilla.job"
  # runuser -s /bin/bash -l test1 -c "condor_submit /tmp/vanilla.job"
  # runuser -s /bin/bash -l test1 -c "condor_submit /tmp/vanilla.job"
  # runuser -s /bin/bash -l test2 -c "condor_submit /tmp/vanilla.job"
  # runuser -s /bin/bash -l test2 -c "condor_submit /tmp/vanilla.job"
  # runuser -s /bin/bash -l test2 -c "condor_submit /tmp/vanilla.job"
  
3. Wait some time (one hour?) and then check intervals between samples in database via attached python script (second column of output is time interval).
  # python plumage_check_samples_time.py
    ...
    < example output attached in next comment >

Actual results:
  Intervals for collections samples.machine and samples.scheduler are not consistent.
  Intervals for samples.machine: 300...,60...,300...,60...
  Intervals for samples.scheduler: 60, 60, 60, 120, 60, 60, 60, 120,...

Expected results:
  Intervals between samples are the same or similar (for one collection).

Additional info:
  When I set UPDATE_INTERVAL (= 20) data for samples.scheduler are completely missing.
Comment 1 Daniel Horák 2012-05-24 05:09:17 EDT
Created attachment 586587 [details]
Example output from plumage_check_samples_time.py (for comment 0)
Comment 3 Anne-Louise Tangring 2016-05-26 16:23:37 EDT
MRG-Grid is in maintenance and only customer escalations will be considered. This issue can be reopened if a customer escalation associated with it occurs.

Note You need to log in before you can comment on or make changes to this bug.